- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine.targetSites/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine.targetSites/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine.targetSites/batchCreate#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine.targetSites/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine.targetSites/batchCreate#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine.targetSites/batchCreate#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine.targetSites/batchCreate#body.aspect_1)
- [CreateTargetSiteRequest](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine.targetSites/batchCreate#CreateTargetSiteRequest)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine.targetSites/batchCreate#CreateTargetSiteRequest.SCHEMA_REPRESENTATION)

Creates `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.dataStores.siteSearchEngine.targetSites#TargetSite` in a batch.

### HTTP request

Choose an endpoint:
global us   
`POST https://discoveryengine.googleapis.com/v1beta/{parent=projects/*/locations/*/dataStores/*/siteSearchEngine}/targetSites:batchCreate`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource shared by all TargetSites being created. `projects/{project}/locations/{location}/collections/{collection}/dataStores/{dataStore}/siteSearchEngine`. The parent field in the CreateBookRequest messages must either be empty or match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine.targetSites/batchCreate#CreateTargetSiteRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine.targetSites/batchCreate#CreateTargetSiteRequest`)`` Required. The request message specifying the resources to create. A maximum of 20 TargetSites can be created in a batch. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `discoveryengine.targetSites.batchCreate`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## CreateTargetSiteRequest

Request message for `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine.targetSites/create#google.cloud.discoveryengine.v1beta.SiteSearchEngineService.CreateTargetSite` method.

| JSON representation |
|---|
| ``` { "parent": string, "targetSite": { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.dataStores.siteSearchEngine.targetSites#TargetSite`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. Parent resource name of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.dataStores.siteSearchEngine.targetSites#TargetSite`, such as `projects/{project}/locations/{location}/collections/{collection}/dataStores/{dataStore}/siteSearchEngine`. |
| `targetSite` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.dataStores.siteSearchEngine.targetSites#TargetSite`)`` Required. The `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.dataStores.siteSearchEngine.targetSites#TargetSite` to create. |